package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysStudent;
import com.koobietech.eas.mbg.model.EasSysStudentExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysStudentMapper {
    long countByExample(EasSysStudentExample example);

    int deleteByExample(EasSysStudentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasSysStudent record);

    int insertSelective(EasSysStudent record);

    List<EasSysStudent> selectByExample(EasSysStudentExample example);

    EasSysStudent selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasSysStudent record, @Param("example") EasSysStudentExample example);

    int updateByExample(@Param("record") EasSysStudent record, @Param("example") EasSysStudentExample example);

    int updateByPrimaryKeySelective(EasSysStudent record);

    int updateByPrimaryKey(EasSysStudent record);
}